﻿@model HomePageModel

@{
    ViewData["Title"] = "Home Page";
}

@if (!String.IsNullOrEmpty((string)ViewData["Message"]))
{
    <br />
    <div class="alert alert-danger">@ViewData["Message"]</div>
}

<br />

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                From April 2020, healthcare providers in England must be compliant with the National Data Opt-Out.
                Please see link for further details: <a href="https://digital.nhs.uk/services/national-data-opt-out">https://digital.nhs.uk/services/national-data-opt-out</a>
                <br /><br />
                The purpose of this tool is to allow you to identify patients who do not wish the Trust to use their identifiable data
                in any Studies/Audits that are covered by Section 251    approval – This includes all Clinical Audits/Studies and Trials
                that do not have explicit documented patient consent.
                <br /><br />
                Please note that if staff have obtained documented, explicit informed consent by the patient for the sharing of their
                patient identifiable data for the purposes of this particular Audit/Study, then this overrides the National Opt-Out
                and patient identifiable data can be shared even if a National Opt-out.
                <br /><br />
            </div>
        </div>
    </div>
</div>

<form asp-controller="Home" asp-action="Index" enctype="multipart/form-data" method="post">
    <div class="row mt-3">
        <div class="col-4 text-right">
            <span>Either type in a single NHS number:</span>
        </div>
        <div class="col-4">
            <input asp-for="nhsNumber" class="form-control" pattern="[0-9]{10}" minlength="10" maxlength="10" title="Enter a valid NHS number">
            <span class="text-danger" asp-validation-for="nhsNumber"></span>
        </div>
    </div>
    <div class="row mt-3">
        <div class="col-4 text-right">
            <span>Or upload a file containing one or many NHS numbers:</span>
        </div>
        <div class="col-8">
            <input asp-for="file" type="file">
            <span class="text-danger" asp-validation-for="file"></span>
        </div>
    </div>
    <div class="row mt-3">
        <div class="col-12">
            <span>Supported file types are .txt, .csv, .xslx, .docx</span>
        </div>
    </div>
    <div class="row mt-3">
        <div class="col-2">
            <input type="submit" id="submit-btn" value="Submit" disabled="disabled" class="form-control btn-primary" />
        </div>
    </div>
</form>


@section Scripts {
<script>
    // Input filter
    (function($) {
      $.fn.inputFilter = function(inputFilter) {
        return this.on("input keydown keyup mousedown mouseup select contextmenu drop", function() {
          if (inputFilter(this.value)) {
            this.oldValue = this.value;
            this.oldSelectionStart = this.selectionStart;
            this.oldSelectionEnd = this.selectionEnd;
          } else if (this.hasOwnProperty("oldValue")) {
            this.value = this.oldValue;
            this.setSelectionRange(this.oldSelectionStart, this.oldSelectionEnd);
          } else {
            this.value = "";
          }
        });
      };
    }(jQuery));


    $(document).ready(function () {
        // Add an input filter to the nhsNumber field that only allows digits
        $("#nhsNumber").inputFilter(function(value) {
            return /^\d*$/.test(value);    
        });

        $('#nhsNumber').on('input', function () {
            if ($(this).val()) {
                $('#file').prop('disabled', true)
                $('#submit-btn').prop('disabled', false)
            } else {
                $('#file').prop('disabled', false)
                $('#submit-btn').prop('disabled', true)
           }
        })
        $('#file').on('input', function () {
            if ($(this).val()) {
                $('#nhsNumber').prop('disabled', true)
                $('#submit-btn').prop('disabled', false)
            } else {
                $('#nhsNumber').prop('disabled', false)
                $('#submit-btn').prop('disabled', true)
            }
        })
    })


</script>
}